Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0022176
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2012-10-31 09:192013-08-20 11:50
ReporterjecharriView Statuspublic 
Assigned ToAugustoMauch 
PriorityurgentResolutionfixedFixed in Version3.0MP27
StatusclosedFix in branchpiFixed in SCM revisionc76f162b7ab0
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todbaz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0022176: API test does not detect one API change

DescriptionAPI test does not detect one API change
Steps To Reproduce-Go to the database and erase not null restriction from column in the database.
-You will see that the api tes does not detect the API change.

The problem is that, this column previously had always a value, so it could be that somebody has created a development thinking that this column always is going to have a value
TagsNo tags attached.
Attached Filesdiff file icon issue22176.diff [^] (822 bytes) 2013-07-31 13:02 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0060408)
AugustoMauch (developer)
2013-07-31 13:03

A patch has been attached. It will be pushed to pi once it is unfrozen for MP27 issues.
(0060604)
hgbot (developer)
2013-08-16 13:10

Repository: erp/devel/dbsm-main
Changeset: 44108fed25e02321fb8feff9da10364bd7284de4
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Fri Aug 16 13:10:14 2013 +0200
URL: http://code.openbravo.com/erp/devel/dbsm-main/rev/44108fed25e02321fb8feff9da10364bd7284de4 [^]

Related to issue 22176: Detect removal of not null restrictions

The API check should detect the removal of a column not null restriction. If a column was not null someone could have taken for granted that that column was always going to have a not null value. After removing the not null restriction that column can now store null values, that could break the code that assumed that the column was going to store not null values.

---
M src/org/openbravo/ddlutils/util/ValidateAPIModel.java
---
(0060606)
hgbot (developer)
2013-08-16 13:21

Repository: erp/devel/pi
Changeset: c76f162b7ab00fa04fafe7d1fa5051133a019a4e
Author: Stefan Hühner <stefan.huehner <at> openbravo.com>
Date: Fri Aug 16 13:21:17 2013 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/c76f162b7ab00fa04fafe7d1fa5051133a019a4e [^]

Fixed 22176. Fixed 22669. Improve api-check
- Ignore ad_process_para insertions for new added processes as those
  are false positives.
- Report dropping of a not null constraint as api-check as existing
  code may rely on the column having a value.

---
M src-db/database/lib/dbsourcemanager.jar
---
(0060663)
hudsonbot (developer)
2013-08-20 01:26

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/28c60a43e596 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2012-10-31 09:19 jecharri New Issue
2012-10-31 09:19 jecharri Assigned To => AugustoMauch
2012-10-31 09:19 jecharri Modules => Core
2012-10-31 09:20 jecharri Summary API tes does not detect one API change => API test does not detect one API change
2012-10-31 09:20 jecharri Description Updated View Revisions
2013-06-03 13:39 shuehner Issue Monitored: shuehner
2013-07-31 13:02 AugustoMauch File Added: issue22176.diff
2013-07-31 13:03 AugustoMauch Note Added: 0060408
2013-07-31 13:03 AugustoMauch Status new => scheduled
2013-07-31 13:03 AugustoMauch fix_in_branch => pi
2013-08-16 13:10 hgbot Checkin
2013-08-16 13:10 hgbot Note Added: 0060604
2013-08-16 13:21 hgbot Checkin
2013-08-16 13:21 hgbot Note Added: 0060606
2013-08-16 13:21 hgbot Status scheduled => resolved
2013-08-16 13:21 hgbot Resolution open => fixed
2013-08-16 13:21 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/c76f162b7ab00fa04fafe7d1fa5051133a019a4e [^]
2013-08-16 14:26 AugustoMauch Review Assigned To => dbaz
2013-08-20 01:26 hudsonbot Checkin
2013-08-20 01:26 hudsonbot Note Added: 0060663
2013-08-20 11:50 dbaz Status resolved => closed
2013-08-20 11:50 dbaz Fixed in Version => 3.0MP27


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker